Lavalite package that provides master_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/master_setting`.

    "b2buy/master_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\MasterSetting\Providers\MasterSettingServiceProvider::class,

And also add it to alias

    'MasterSetting'  => B2buy\MasterSetting\Facades\MasterSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\MasterSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\MasterSetting\Providers\MasterSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\MasterSetting\Providers\MasterSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\MasterSetting\Providers\MasterSettingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/master_setting/{modulename}

**User**

    http://path-to-route-folder/user/master_setting/{modulename}

**Public**

    http://path-to-route-folder/master_settings


### API endpoints

**List**

    http://path-to-route-folder/api/user/master_setting/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/master_setting/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/master_setting/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/master_setting/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/master_setting/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/master_setting/{modulename}/{slug}
    METHOD: GET