<?php

namespace B2buy\MasterSetting;

use User;

class MasterSetting
{
    /**
     * $master_settings object.
     */
    protected $master_settings;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\MasterSetting\Interfaces\MasterSettingsRepositoryInterface $master_settings)
    {
        $this->master_settings = $master_settings;
    }

    /**
     * Returns count of master_setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.master_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->master_settings->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\MasterSettingsUserCriteria());
        }

        $master_settings = $this->master_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('master_setting::' . $view, compact('master_settings'))->render();
    }
}
