<?php

namespace B2buy\MasterSetting\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind MasterSettings workflow validator
        'B2buy\MasterSetting\Models\MasterSettings' => \B2buy\MasterSetting\Workflow\MasterSettingsValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind MasterSettings workflow actions
        'B2buy\MasterSetting\Models\MasterSettings' => \B2buy\MasterSetting\Workflow\MasterSettingsAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind MasterSettings workflow notifiers
        'B2buy\MasterSetting\Models\MasterSettings' => \B2buy\MasterSetting\Workflow\MasterSettingsNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
