<?php

namespace B2buy\MasterSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MasterSettingsTransformer extends TransformerAbstract
{
    public function transform(\B2buy\MasterSetting\Models\MasterSettings $master_settings)
    {
        return [
            'id'                => $master_settings->getRouteKey(),
            'key'               => [
                'public'    => $master_settings->getPublicKey(),
                'route'     => $master_settings->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('master_setting/'.$master_settings->getPublicKey()),
                'user'      => guard_url('master_setting/master_settings/'.$master_settings->getRouteKey()),
            ], 
            'status'            => trans('app.'.$master_settings->status),
            'created_at'        => format_date($master_settings->created_at),
            'updated_at'        => format_date($master_settings->updated_at),
        ];
    }
}