<?php

namespace B2buy\MasterSetting\Workflow;

use B2buy\MasterSetting\Models\MasterSettings;
use B2buy\MasterSetting\Notifications\MasterSettingsWorkflow as MasterSettingsNotifyer;
use Notification;

class MasterSettingsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function complete(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function verify(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function approve(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function publish(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function archive(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param MasterSettings $master_settings
     *
     * @return void
     */
    public function unpublish(MasterSettings $master_settings)
    {
        return Notification::send($master_settings->user, new MasterSettingsNotifyer($master_settings, 'unpublish'));;

    }
}
